org.optaplanner.persistence.jackson.api.score.buildin.hardmediumsoftbigdecimal

## Class HardMediumSoftBigDecimalScoreJacksonJsonDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<Score_>
  - - org.optaplanner.persistence.jackson.api.score.AbstractScoreJacksonJsonDeserializer<HardMediumSoftBigDecimalScore>
    - - org.optaplanner.persistence.jackson.api.score.buildin.hardmediumsoftbigdecimal.HardMediumSoftBigDecimalScoreJacksonJsonDeserializer

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.deser.NullValueProvider

      public class HardMediumSoftBigDecimalScoreJacksonJsonDeserializer
      extends AbstractScoreJacksonJsonDeserializer<HardMediumSoftBigDecimalScore>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `com.fasterxml.jackson.databind.JsonDeserializer.None`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HardMediumSoftBigDecimalScoreJacksonJsonDeserializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HardMediumSoftBigDecimalScore` | `deserialize(com.fasterxml.jackson.core.JsonParser parser, com.fasterxml.jackson.databind.DeserializationContext context)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, deserializeWithType, deserializeWithType, findBackReference, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HardMediumSoftBigDecimalScoreJacksonJsonDeserializer

          public HardMediumSoftBigDecimalScoreJacksonJsonDeserializer()

  - ### Method Detail

    - #### deserialize

          public HardMediumSoftBigDecimalScore deserialize(com.fasterxml.jackson.core.JsonParser parser,
                                                           com.fasterxml.jackson.databind.DeserializationContext context)
                                                    throws IOException

      Specified by:
        `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<HardMediumSoftBigDecimalScore>`
      Throws:
        `IOException`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.